libzypp: zyppng::WorkerCaps Class Reference

libzypp 17.36.6

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Private Attributes | List of all members
zyppng::WorkerCaps Class Reference

`#include <zypp-media/ng/private/providemessage_p.h>`

## Public Types
enum | WorkerType : uint32_t { Invalid = 0 , Downloading = 1 , SimpleMount = 2 , VolatileMount = 3 , CPUBound = 4 }
enum | Flags : uint32_t { None = 0 , SingleInstance = 1 , Pipeline = 2 , ZyppLogFormat = 4 , FileArtifacts = 8 }

## Public Member Functions
| WorkerCaps ()
| ~WorkerCaps ()
| WorkerCaps (const WorkerCaps &)=default
| WorkerCaps (WorkerCaps &&)=default
WorkerCaps & | operator= (const WorkerCaps &)=default
WorkerCaps & | operator= (WorkerCaps &&)=default
uint32_t | protocol_version () const
WorkerType | worker_type () const
Flags | cfg_flags () const
const std::string & | worker_name () const
void | set_protocol_version (uint32_t v)
void | set_worker_type (WorkerType t)
void | set_cfg_flags (Flags f)
void | set_worker_name (std::string name)
zyppng::expected< zypp::PluginFrame > | toStompMessage () const

## Static Public Member Functions
static zyppng::expected< WorkerCaps > | fromStompMessage (const zypp::PluginFrame &msg)

## Static Public Attributes
static constexpr std::string_view | typeName = "WorkerCaps"

## Private Attributes
uint32_t | _protocolVersion = 1
uint32_t | _workerType = Invalid
uint32_t | _cfgFlags = None
std::string | _workerName

## Detailed Description

Definition at line 375 of file providemessage_p.h.

## Member Enumeration Documentation

## ◆ WorkerType

enum zyppng::WorkerCaps::WorkerType : uint32_t

The worker type, see the description in Worker Types above

Enumerator
Invalid |
Downloading |
SimpleMount |
VolatileMount |
CPUBound |

Definition at line 379 of file providemessage_p.h.

## ◆ Flags

enum zyppng::WorkerCaps::Flags : uint32_t

Enumerator
None |
SingleInstance |
Pipeline |
ZyppLogFormat |
FileArtifacts |

Definition at line 387 of file providemessage_p.h.

## Constructor & Destructor Documentation

## ◆ WorkerCaps() [1/3]

zyppng::WorkerCaps::WorkerCaps | ( |  | ) |
| explicit

Worker Capabilities , sent by the workers to the provider

Definition at line 50 of file providemessage.cc.

## ◆ ~WorkerCaps()

zyppng::WorkerCaps::~WorkerCaps | ( |  | ) |

Definition at line 53 of file providemessage.cc.

## ◆ WorkerCaps() [2/3]

zyppng::WorkerCaps::WorkerCaps | ( | const WorkerCaps & |  | ) |
| default

## ◆ WorkerCaps() [3/3]

zyppng::WorkerCaps::WorkerCaps | ( | WorkerCaps && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

WorkerCaps & zyppng::WorkerCaps::operator= | ( | const WorkerCaps & |  | ) |
| default

## ◆ operator=() [2/2]

WorkerCaps & zyppng::WorkerCaps::operator= | ( | WorkerCaps && |  | ) |
| default

## ◆ protocol_version()

uint32_t zyppng::WorkerCaps::protocol_version | ( |  | ) | const

Definition at line 56 of file providemessage.cc.

## ◆ worker_type()

WorkerCaps::WorkerType zyppng::WorkerCaps::worker_type | ( |  | ) | const

Definition at line 61 of file providemessage.cc.

## ◆ cfg_flags()

WorkerCaps::Flags zyppng::WorkerCaps::cfg_flags | ( |  | ) | const

Definition at line 66 of file providemessage.cc.

## ◆ worker_name()

const std::string & zyppng::WorkerCaps::worker_name | ( |  | ) | const

Definition at line 71 of file providemessage.cc.

## ◆ set_protocol_version()

void zyppng::WorkerCaps::set_protocol_version | ( | uint32_t | v | ) |

Definition at line 76 of file providemessage.cc.

## ◆ set_worker_type()

void zyppng::WorkerCaps::set_worker_type | ( | WorkerType | t | ) |

Definition at line 81 of file providemessage.cc.

## ◆ set_cfg_flags()

void zyppng::WorkerCaps::set_cfg_flags | ( | Flags | f | ) |

Definition at line 86 of file providemessage.cc.

## ◆ set_worker_name()

void zyppng::WorkerCaps::set_worker_name | ( | std::string | name | ) |

Definition at line 91 of file providemessage.cc.

## ◆ toStompMessage()

zyppng::expected< zypp::PluginFrame > zyppng::WorkerCaps::toStompMessage | ( |  | ) | const

Definition at line 96 of file providemessage.cc.

## ◆ fromStompMessage()

zyppng::expected< WorkerCaps > zyppng::WorkerCaps::fromStompMessage | ( | const zypp::PluginFrame & | msg | ) |
| static

Definition at line 112 of file providemessage.cc.

## Member Data Documentation

## ◆ typeName

std::string_view zyppng::WorkerCaps::typeName = "WorkerCaps"
| staticconstexpr

Definition at line 414 of file providemessage_p.h.

## ◆ _protocolVersion

uint32_t zyppng::WorkerCaps::_protocolVersion = 1
| private

Definition at line 419 of file providemessage_p.h.

## ◆ _workerType

uint32_t zyppng::WorkerCaps::_workerType = Invalid
| private

Definition at line 420 of file providemessage_p.h.

## ◆ _cfgFlags

uint32_t zyppng::WorkerCaps::_cfgFlags = None
| private

Definition at line 421 of file providemessage_p.h.

## ◆ _workerName

std::string zyppng::WorkerCaps::_workerName
| private

Definition at line 422 of file providemessage_p.h.

The documentation for this class was generated from the following files:

- zypp-media/ng/private/providemessage_p.h
- zypp-media/ng/providemessage.cc